On this page
No Headings
Oauth 2.0 authentication.
In: header
Scope: https://uri.paypal.com/services/checkout/payment-resources
The payment resource id for which to show details.
^[A-Z]{3}-[A-Z0-9]+$1 <= length <= 127The media type. Required for operations with a request body. The value is application/<format>, where format is json.
^[A-Za-z0-9/+-]+$1 <= length <= 255An API-caller-provided JSON Web Token (JWT) assertion that identifies the merchant. For details, see PayPal-Auth-Assertion.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api-m.sandbox.paypal.com/v1/checkout/payment-resources/string" \ -H "Content-Type: application/json" \ -d '{ "integration_mode": "LINK", "type": "BUY_NOW" }'{
"name": "string",
"message": "string",
"debug_id": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
],
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
],
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
],
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
],
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
],
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}Determines how the payment resource is presented to customers. Currently, only LINK is supported, which generates a PayPal-hosted payment page with a shareable URL. This value is immutable after creation.
^[A-Z0-9_]+$1 <= length <= 20"LINK"The type of payment resource. Once a payment resource is created, this field cannot be changed.
^[A-Z0-9_]+$1 <= length <= 20"BUY_NOW"Indicates if the payment resource can be used multiple times or only once.
"MULTIPLE"^[A-Z0-9_]+$1 <= length <= 20"MULTIPLE"URL to which the customer is redirected after completing the transaction.
^.*$uri1 <= length <= 1024List of individual item in payment resource.
1 <= items <= 20